### Class

# Rest XmlParser

unstable since: 1.0

#### Description [src]

    class Rest.XmlParser : GObject.Object
    {
      /* No available fields */
    }

A Xml Parser for Rest Responses.

Available since: 1.0

#### Ancestors

- GObject

#### Constructors

###### rest_xml_parser_new

Create a new `RestXmlParser`, for parsing XML documents.

unstable since: 1.0

#### Instance methods

###### rest_xml_parser_parse_from_data

Parse the XML in `data`, and return a new `RestXmlNode`. If `data` is invalid XML, `NULL` is returned.

unstable since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct RestXmlParserClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.